Summary: The default startup script for the X Window System.
Name: xinitrc
Version: 3.32.2
Release: 1.XOS.1
License: GPL/XFree86
Group: User Interface/X
Source: xinitrc-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-root
Requires: XFree86, /bin/sh, /bin/bash, switchdesk >= 3.7
BuildArchitectures: noarch

%description
The xinitrc package contains the xinitrc file, a script which is used
to configure your X Window System session or to start a window
manager.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) /etc/X11/Xmodmap
%config(noreplace) /etc/X11/Xresources
%config /etc/X11/xinit/xinitrc
%config(noreplace) /etc/X11/xinit/Xclients
%dir /etc/X11/xinit/xinitrc.d
%config(noreplace) /etc/X11/xinit/xinitrc.d/*
%config(noreplace) /etc/X11/xdm/*
/usr/X11R6/bin/*

%changelog
* Thu Aug 31 2006 X/OS Linux Team <xoslinux@xos.nl> 3.32.2-1.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on xinitrc-3.32.2-1.src.rpm
  (md5sum of original source rpm: 6be89111bbd57e69315e157127bbcfde).

* Fri May  5 2006 Mike A. Harris <mharris@redhat.com> 3.32.2-1
- Fix same problem in Xclients script as was fixed in xinput script (#163638)

* Fri Sep 24 2005 Mike A. Harris <mharris@redhat.com> 3.32.1-1
- Fix input method selection for KDE environments to enable Korean input
  method to work properly.  (#163638)

* Wed Feb  5 2003 Mike A. Harris <mharris@redhat.com> 3.32-1
- Rebuild

* Tue Sep 10 2002 Bill Nottingham <notting@redhat.com> 3.30-1
- unset TERM to avoid font wackiness when sourcing lang.sh

* Thu Sep  5 2002 Owen Taylor <otaylor@redhat.com> 3.29-1
- Add . /etc/profile.d/lang.sh to xinput (#73062)

* Mon Sep  2 2002 Owen Taylor <otaylor@redhat.com> 3.28-1
- Change default Xft hinting settings to hintmedium, not hintnone

* Wed Aug 28 2002 Bill Nottingham <notting@redhat.com> 3.27-1
- don't grep /etc/sysconfig/desktop; actually read it

* Wed Jul 31 2002 Mike A. Harris <mharris@redhat.com> 3.26-1
- Added windowmaker support to Xclients for bug (#66225)

* Sat Jul 20 2002 Mike A. Harris <mharris@redhat.com> 3.25-1
- Fix ssh-agent code added on Jun 27th to not start ssh-agent if it is
  already running (#68626)

* Fri Jun 28 2002 Owen Taylor <otaylor@redhat.com> 3.24-1
- Add a Xresources file that sets Xft DPI to 96
- Make Xsetup_0 load /etc/X11/Xresources

* Thu Jun 27 2002 Preston Brown <pbrown@redhat.com> 3.23-1
- use ssh-agent to start sessions if available.

* Mon Apr  8 2002 Mike A. Harris <mharris@redhat.com> 3.22-1
- There were 3 different versions of 3.21 from different developers, which
  had reverted some of my previous changes.  I believe I have now fixed
  these problems.
- Added Wnn7 support from Yukihiro Nakai <ynakai@redhat.com> (#61951)
- Made changes for Leon (removed debugging code from xinput, etc)

* Wed Feb 27 2002 Mike A. Harris <mharris@redhat.com> 3.21-1
- Removed glidelink hack, as XFree86 4.2.0 now comes with code to load
  the proper glide3 library automatically.

* Thu Aug 23 2001 Mike A. Harris <mharris@redhat.com> 3.20-1
- Removed tempfile vulnerability in xinput writing to /tmp/start.txt
  (MF #52304)

* Tue Aug 21 2001 Leon Ho <llch@redhat.com> 3.19-1
- covers all track from Xclient (ie. gdm to kde, kdm to gnome etc)
- covers if $LANG not exist on this scope yet
- Modified Korean part to work on both gnome and kde

* Thu Aug  9 2001 Yukihiro Nakai <ynakai@redhat.com> 3.17-1
- Improve Korean support.
- skkinput support.

* Wed Aug  8 2001 Crutcher Dunnavant <crutcher@redhat.com> 3.16-1
- make selection of Xclient smarter

* Fri Aug  3 2001 Owen Taylor <otaylor@redhat.com>
- Change background color a bit, only run xsri if not running under gdm,
  since our gdm config will run it itself.
- Change background for Xsession as well

* Mon Jul 30 2001 Mike A. Harris <mharris@redhat.com> 3.13-1
- Removed '-login' from Xsession script, and changed exec calls to the
  form 'exec -l $SHELL -c foo' as discussed with Havoc.
- Added explicit requires on /bin/bash

* Mon Jul 16 2001 Mike A. Harris <mharris@redhat.com> 3.12-1
- Pure hack: Have xinitrc symlink the glide lib using glidelink to fix (#36158)
  and numerous other duplicates.  Temporary solution until XFree86 4.2.0 is
  released.
- xinitrc tested for Netscape and fvwm2 presence with -f instead of -x

* Sun Jul  8 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add miniChinput entry to xinput.
- Fix the xcin entry for zh_CN.GB2312

* Sun May 06 2001 Than Ngo <than@redhat.com>
- fixed tmpfile vulnerability (Bug #39083)

* Mon Mar 26 2001 Preston Brown <pbrown@redhat.com>
- remove references to afterstep (#32877)

* Fri Mar 16 2001 Yukihiro Nakai <ynakai@redhat.com>
- Update xinput to enable Omron's Wnn6

* Thu Feb 08 2001 Yukihiro Nakai <ynakai@redhat.com>
- More fix for kinput2 + FreeWnn

* Tue Jan 23 2001 Than Ngo <than@redhat.com>
- changed /bin/sh in Xsession to /bin/bash -login

* Fri Jan 12 2001 Yukihiro Nakai <ynakai@redhat.com>
- More improvement for Korean and Japanese

* Wed Jan 10 2001 Yukihiro Nakai <ynakai@redhat.com>
- Change ko_KR* -> ko*

* Tue Dec 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add xdm-config (used to be in XFree86-xdm)

* Thu Dec 14 2000 Yukihiro Nakai <ynakai@redhat.com>
- Add zh_TW, and fix

* Wed Dec 06 2000 Yukihiro Nakai <ynakai@redhat.com>
- Add Japanese fix. Use -canna option for kinput2.
- Add Korean and Chinese support.

* Thu Nov 16 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- adapt to KDE 2.0 (Bug #20409)
- require switchdesk >= 3.7 rather than 3.6 (KDE2)
- The fallback should launch netscape /usr/share/doc/HTML/index.html
  rather than /usr/doc/HTML/index.html...
- bzip2 the source rather than gzipping it

* Wed Oct 11 2000 Than Ngo <than@redhat.com>
- fix Xsetup_0 (Bug #17873)

* Wed Sep 13 2000 Matt Wilson <msw@redhat.com>
- make Xsession start a -login shell

* Wed Sep 06 2000 Preston Brown <pbrown@redhat.com>
- remove references to anotherlevel

* Tue Aug 22 2000 Than Ngo <than@redhat.com>
- add KDE2 support

* Sun Aug 20 2000 Nalin Dahyabhai <nalin@redhat.com>
- add /usr/X11R6/bin to the PATH if it's not in there already (#16648)
- don't call cp in a subshell when trying to create a log file

* Wed Aug  2 2000 Bill Nottingham <notting@redhat.com>
- more files move in

* Fri Jul 14 2000 Preston Brown <pbrown@redhat.com>
- more wmaker path fixage

* Tue Jul 11 2000 Trond Eivind Glomsrd <teg@redhat.com>
- wmaker is now in /usr/bin

* Thu Jun 22 2000 Bill Nottingham <notting@redhat.com>
- import some of the xdm stuff here, it's used by both xdm and gdm

* Fri Jun 16 2000 Matt Wilson <msw@redhat.com>
- import these files into our CVS server

* Tue May 30 2000 Preston Brown <pbrown@redhat.com>
- commented out mappings in global Xmodmap.  Caused problems with many
  remote logins from various X devices besides Linux boxes.

* Tue Mar 14 2000 Matt Wilson <msw@redhat.com>
- export XMODIFIERS for japanese

* Fri Mar 03 2000 Cristian Gafton <gafton@redhat.com>
- fix windowmaker default initialization (use wmaker.inst for the
  first start of WindowMaker)

* Mon Feb 28 2000 Preston Brown <pbrown@redhat.com>
- process /etc/X11/XF86Config file with the sed script for xkb.

* Mon Feb 21 2000 Preston Brown <pbrown@redhat.com>
- quote shell variables in xinitrc (#9547)

* Thu Feb 10 2000 Preston Brown <pbrown@redhat.com>
- change /usr/X11R6/lib/X11 /etc/X11 for some config files.

* Thu Feb 10 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix a typo

* Tue Feb  8 2000 Bill Nottingham <notting@redhat.com>
- fix two syntax errors

* Tue Jan 11 2000 Preston Brown <pbrown@redhat.com>
- added support for scripts a la /etc/profile.d in /etc/X11/xinit/xinitrc.d.
- moved japanese xinput stuff into an xinitrc.d script
- cleaned up duplicate runs of xmodmap (#7839).
- noreplace tag added for most config files.

* Wed Oct 20 1999 Matt Wilson <msw@redhat.com>
- added patch from Owen to start kinput2 by default for all desktops when
  running under Japanese

* Mon Oct 18 1999 Preston Brown <pbrown@redhat.com>
- patched xinitrc to run setxkbmap -symbols on sparc if XkbSymbols variable
  is defined (from Jakub)

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- enable use of xkb configuration files if they are present (# 4059)

* Thu Jun 17 1999 Bill Nottingham <notting@redhat.com>
- make Xclients/xinitrc executable...

* Thu Jun 10 1999 Preston Brown <pbrown@redhat.com>
- look for not only .Xmodmap/.Xresources, but also Xmodmap/Xresources
- Xmodmap w/ "keycode 22 = BackSpace" added for non Xkb-extension users

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- argh, fixed my changes from yesterday

* Sun Apr 18 1999 Preston Brown <pbrown@redhat.com>
- added /etc/sysconfig/desktop support

* Mon Mar 22 1999 Bill Nottingham <notting@redhat.com>
- make /etc/X11/xinit/* %config (bug #1051)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Tue Feb 02 1999 Preston Brown <pbrown@redhat.com>
- added ability to have KDE recognized if it is all that is installed

* Wed Jan 27 1999 Preston Brown <pbrown@redhat.com>
- updated so that GNOME is the default, and a few other cleanups

* Fri Sep 18 1998 Cristian Gafton <gafton@redhat.com>
- added the RunWM script and modified Xclients to use this new script

* Sun Sep 13 1998 Cristian Gafton <gafton@redhat.com>
- included WindowMaker hints

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 22 1998 Cristian Gafton <gafton@redhat.com>
- handle AfterStep (and possibly other window managers)

* Tue Nov 11 1997 Michael K. Johnson <johnsonm@redhat.com>
- export the BROWSER variable.

* Fri Nov 08 1997 Cristian Gafton <gafton@redhat.com>
- added handling for the BROWSER variable

* Wed Oct 15 1997 Cristian Gaftin <gafton@redhat.com>
- updated for AnotherLevel

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built for glibc, added dependencies

* Thu Mar 20 1997 Erik Troan <ewt@redhat.com>
- Added /etc/X11/xinitrc/Xclients to this file and removed it from rootfiles
  and etcskel.

